<?php

namespace App\Entity;

use App\Repository\CollectionneurRepository;
use Doctrine\ORM\Mapping as ORM;

#[ORM\Entity(repositoryClass: CollectionneurRepository::class)]
class Collectionneur
{
    #[ORM\Id]
    #[ORM\GeneratedValue]
    #[ORM\Column]
    private ?int $id = null;

    #[ORM\Column(length: 250)]
    private ?string $collectionneurNom = null;

    #[ORM\Column(length: 250)]
    private ?string $collectionneurPrenom = null;

    #[ORM\ManyToOne(inversedBy: 'collectionneurID')]
    #[ORM\JoinColumn(nullable: false)]
    private ?Collectionner $collectionner = null;

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getCollectionneurNom(): ?string
    {
        return $this->collectionneurNom;
    }

    public function setCollectionneurNom(string $collectionneurNom): static
    {
        $this->collectionneurNom = $collectionneurNom;

        return $this;
    }

    public function getCollectionneurPrenom(): ?string
    {
        return $this->collectionneurPrenom;
    }

    public function setCollectionneurPrenom(string $collectionneurPrenom): static
    {
        $this->collectionneurPrenom = $collectionneurPrenom;

        return $this;
    }

    public function getCollectionner(): ?Collectionner
    {
        return $this->collectionner;
    }

    public function setCollectionner(?Collectionner $collectionner): static
    {
        $this->collectionner = $collectionner;

        return $this;
    }
}
